USERMOD(8)

NAMN
usermod - ändra ett användarkonto

SYNOPSIS

usermod [flaggor] INLOGGNINGSNAMN

BESKRIVNING

Kommandot usermod ändrar systemkontofiler enligt det som anges på kommandoraden.

FLAGGOR

Flaggorna som gäller för kommandot usermod är:

-a, --append
    Lägg till användaren till tilläggsgrupp(er). Använd endast med flaggan -G.

-c, --commentKOMMENTAR
    Det nya värdet för användarens kommentarsfält i lösenordsfilen. Vanligtvis ändras det med verktyget chfn(1).

-d, --homeHEM_KAT
    The user's new login directory. If the -m option is given the contents of the current home directory will be moved to the new home directory, which is created if it does not already exist.

-e, --expiredateUTGÅNGSDATUM
    The date on which the user account will be disabled. The date is specified in the format YYYY-MM-DD.

-f, --inactiveINAKTIV
    The number of days after a password expires until the account is permanently disabled. A value of 0 disables the account as soon as the password has expired, and a value of -1 disables the feature. The default value is -1.

-g, --gidGRUPP
    The group name or number of the user's new initial login group. The group name must exist. A group number must refer to an already existing group. The default group number is 1.

-G, --groupsGRUPP1[,GRUPP2,...[,GRUPPN]]]
    A list of supplementary groups which the user is also a member of. Each group is separated from the next by a comma, with no intervening whitespace. The groups are subject to the same restrictions as the group given with the -g option. If the user is currently a member of a group which is not listed, the user will be removed from the group. This behaviour can be changed via -a option, which appends user to the current supplementary group list.

-l, --loginNYTT_INLOGGNINGSNAMN
    The name of the user will be changed from LOGIN to NEW_LOGIN. Nothing else is changed. In particular, the user's home directory name should probably be changed to reflect the new login name.

-L, --lock
    Lås en användares lösenord. Detta sätter ett "!" i början av det krypterade lösenordet som effektivt inaktiverar lösenordet. Du kan inte använda denna flagga med -p eller -U.

-o, --non-unique
    When used with the -u option, this option allows to change the user ID to a non-unique value.

-p, --passwordLÖSENORD
    Det krypterade lösenordet, som returneras av crypt(3).

-s, --shellSKAL
    The name of the user's new login shell. Setting this field to blank causes the system to select the default login shell.

-u, --uidUID
    The numerical value of the user's ID. This value must be unique, unless the -o option is used. The value must be non-negative. Values between 0 and 999 are typically reserved for system accounts. Any files which the user owns and which are located in the directory tree rooted at the user's home directory will have the file user ID changed automatically. Files outside of the user's home directory must be altered manually.

-U, --unlock
    Låser upp en användares lösenord. Detta tar bort det inledande "!" i det krypterade lösenordet. Du kan inte använda denna flagga med -p eller -L.

TÄNK PÅ

usermod will not allow you to change the name of a user who is logged in. You must make certain that the named user is not executing any processes when this command is being executed if the user's numerical user ID is being changed. You must change the owner of any crontab files manually. You must change the owner of any at jobs manually. You must make any changes involving NIS on the NIS server.

FILER

/etc/group
    Gruppkontoinformation.

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

SE OCKSÅ

chfn(1), chsh(1), passwd(1), crypt(3), gpasswd(8), groupadd(8), groupdel(8), groupmod(8), login.defs(5), useradd(8), userdel(8).